interactions:
- request:
    body: !!binary |
[encoded data, 78253 characters]
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['53737']
      Content-Type: [multipart/form-data; boundary=ab39da20ff284830aff663425b83f302]
      User-Agent: [python-requests/2.18.4]
    method: POST
    uri: http://localhost:3000/api/v1/media
  response:
    body: {string: '{"id":"10","type":"image","url":"http://localhost/system/media_attachments/files/000/000/010/original/231f0e329c9434ee.jpeg?1556389092","preview_url":"http://localhost/system/media_attachments/files/000/000/010/small/231f0e329c9434ee.jpeg?1556389092","remote_url":null,"text_url":"http://localhost/media/efvPay0muVYwY1t7FeQ","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"716767d29e9b14824b9c872df1425898"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [4f7c755a-e63f-4d1c-a40f-dd3bf80d2b5b]
      X-Runtime: ['0.137315']
      X-XSS-Protection: [1; mode=block]
      content-length: ['541']
    status: {code: 200, message: OK}
- request:
    body: sensitive=1&status=LOL+check+this+out&media_ids%5B%5D=10
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['56']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [python-requests/2.18.4]
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body: {string: '{"id":"101999515546413017","created_at":"2019-04-27T18:18:12.209Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":true,"spoiler_text":"","visibility":"public","language":"en","uri":"http://localhost/users/mastodonpy_test/statuses/101999515546413017","content":"\u003cp\u003eLOL
        check this out\u003c/p\u003e","url":"http://localhost/@mastodonpy_test/101999515546413017","replies_count":0,"reblogs_count":0,"favourites_count":0,"favourited":false,"reblogged":false,"muted":false,"pinned":false,"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"1234567890123456","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"created_at":"2019-04-27T20:03:12.393Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost/@mastodonpy_test","avatar":"http://localhost/system/accounts/avatars/123/456/789/012/345/original/mastodonpyupload_.jpeg?1556389071","avatar_static":"http://localhost/system/accounts/avatars/123/456/789/012/345/original/mastodonpyupload_.jpeg?1556389071","header":"http://localhost/system/accounts/headers/123/456/789/012/345/original/mastodonpyupload_.jpeg?1556389071","header_static":"http://localhost/system/accounts/headers/123/456/789/012/345/original/mastodonpyupload_.jpeg?1556389071","followers_count":0,"following_count":0,"statuses_count":42,"emojis":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"10","type":"image","url":"http://localhost/system/media_attachments/files/000/000/010/original/231f0e329c9434ee.jpeg?1556389092","preview_url":"http://localhost/system/media_attachments/files/000/000/010/small/231f0e329c9434ee.jpeg?1556389092","remote_url":null,"text_url":"http://localhost/media/efvPay0muVYwY1t7FeQ","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"b3dac26d72294a03ec5cdb41d88260f0"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [35037fb1-d425-4813-a6a8-fc9ced11c790]
      X-Runtime: ['0.133845']
      X-XSS-Protection: [1; mode=block]
      content-length: ['2151']
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['0']
      User-Agent: [python-requests/2.18.4]
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/101999515546413017
  response:
    body: {string: '{}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"7bd56d5f176c5d3ff84c9fed988c1b66"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [259938c8-c82c-4f5e-9020-45693e0358bb]
      X-Runtime: ['0.045379']
      X-XSS-Protection: [1; mode=block]
      content-length: ['2']
    status: {code: 200, message: OK}
version: 1
